var angular = require('angular');
require('./modules');
require('./directives/idtoname');
require('./directives/linkercards');
require('./directives/viewLinkerDetail');
require('./directives/sinoLinkerFavoriteButton');
require('./directives/linkerNav');
require('./directives/linkerNavInfo');
require('./directives/sinoDeptSelect');
require('./directives/sinoUserSelect');
require('./directives/sinoUserSelectZf');
require('./directives/sinoPersonPhoto');
require('./directives/sinoLinkerTree');
require('./controllers/LinkerCtrl');
require('./controllers/LinkerDetailCtrl');
require('./controllers/LinkerSelfDeptCtrl');
require('./controllers/SelfDeptCtrl');
require('./controllers/LinkerTreeCtrl');
require('./controllers/AllUsersCtrl');
require('./services/LinkerService');
require('./services/FavoriteLinker');
require('./services/LinkerRemoteService');
require('./services/FavoriteLinkerCache');
require('./services/FavoriteLinkerService');
require('./services/userList');
require('./services/deptList');
require('./services/LinkerSearch');
require('./services/userListOfSameDept');
require('./services/LinkerTreeService');
require('./services/LinkerTreeDirectService');
require('./services/userDeptList');
require('./services/PersonImgCache');
require('./services/linkerConfig');
require('./services/mulCallAsynchronousResult');
require('./services/throttleService');
require('./services/UserChooser');
require('./init');
require('./routes');
require('../../commons/index');
var module = angular.module('linker');

module.exports = module;
